Bug 1265520 - [docs] IP Failover configuration step for HA is wrong
Summary: [docs] IP Failover configuration step for HA is wrong
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.0.0
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
: ---
Assignee: Alex Dellapenta
QA Contact: Vikram Goyal
Vikram Goyal
URL: https://access.redhat.com/documentati...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-23 06:44 UTC by Evgheni Dereveanchin
Modified: 2019-11-14 06:59 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-09 17:44:48 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Evgheni Dereveanchin 2015-09-23 06:44:28 UTC
Document URL: 
https://access.redhat.com/documentation/en/openshift-enterprise/version-3.0/openshift-enterprise-30-administrator-guide/chapter-14-high-availability

Section Number and Name: 
section 14.2.1 step 3

Describe the issue: 
the configuration line is missing an "--service-account=router" which causes this step to fail with errors like these:

$ oadm ipfailover ha-router-us-west --replicas=2 --selector="ha-router=geo-us-west" --virtual-ips="10.245.2.101-105" --watch-port=80 --credentials="$KUBECONFIG" --create

# oc logs ha-router-us-west-1-deploy
I0911 10:51:45.972497       1 deployer.go:195] Deploying default/ha-router-us-west-1 for the first time (replicas: 2)
I0911 10:51:46.071996       1 recreate.go:125] Scaling default/ha-router-us-west-1 to 2
F0911 10:53:47.833271       1 deployer.go:64] couldn't scale default/ha-router-us-west-1 to 2: timed out waiting for the condition


Suggestions for improvement: 

add "--service-account=router" to the docs:

$ oadm ipfailover ha-router-us-west --replicas=2 --selector="ha-router=geo-us-west" --virtual-ips="10.245.2.101-105" --watch-port=80 --credentials="$KUBECONFIG" --service-account=router --create

Additional information: 

Adding "--service-account=ipfailover" seems to also make this work

Comment 2 Alex Dellapenta 2015-09-23 19:09:18 UTC
The Customer Portal build publish is still incoming, but the docs.openshift.com build was updated this morning, which includes adding the --service-account flag in the relevant missing spots:

https://docs.openshift.com/enterprise/3.0/admin_guide/high_availability.html#configuring-a-highly-available-routing-service

PTAL and let me know if this satisfies this BZ for you. Thanks.


Note You need to log in before you can comment on or make changes to this bug.